## NMDhcpConfig

NMDhcpConfig

## Functions

int | nm_dhcp_config_get_family ()
GHashTable * | nm_dhcp_config_get_options ()
const char * | nm_dhcp_config_get_one_option ()

## Types and Values

#define | NM_DHCP_CONFIG_FAMILY
#define | NM_DHCP_CONFIG_OPTIONS

## Description

## Functions

### nm_dhcp_config_get_family ()

    int
    nm_dhcp_config_get_family (NMDhcpConfig *config);

Gets the IP address family of the configuration

#### Parameters

config | a NMDhcpConfig |

#### Returns

the IP address family; either `AF_INET` or `AF_INET6`

### nm_dhcp_config_get_options ()

    GHashTable *
    nm_dhcp_config_get_options (NMDhcpConfig *config);

Gets all the options contained in the configuration.

#### Parameters

config | a NMDhcpConfig |

#### Returns

the GHashTable containing strings for keys and values. This is the internal copy used by the configuration, and must not be modified.

[transfer none][element-type utf8 utf8]

### nm_dhcp_config_get_one_option ()

    const char *
    nm_dhcp_config_get_one_option (NMDhcpConfig *config,
                                   const char *option);

Gets one option by option name.

#### Parameters

config | a NMDhcpConfig |
option | the option to retrieve |

#### Returns

the configuration option's value. This is the internal string used by the configuration, and must not be modified.

## Types and Values

### NM_DHCP_CONFIG_FAMILY

    #define NM_DHCP_CONFIG_FAMILY  "family"

### NM_DHCP_CONFIG_OPTIONS

    #define NM_DHCP_CONFIG_OPTIONS "options"